代码拉取完成,页面将自动刷新
同步操作将从 Apache/kafka 强制同步,此操作会覆盖自 Fork 仓库以来所做的任何修改,且无法恢复!!!
确定后同步将在后台操作,完成时将刷新页面,请耐心等待。
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# Hacky workaround for https://github.com/gradle/gradle/issues/3777
# There is currently no configurable timeout, so we retry builds jenkins when we can't get a lock on the zinc compiler cache
# Hopefully we can remove this in the future, but this will save us from having to manually rebuild for the time being.
# Example:
# [2021-10-19T17:25:07.234Z] * What went wrong:
# [2021-10-19T17:25:07.234Z] Execution failed for task ':streams:streams-scala:compileScala'.
# [2021-10-19T17:25:07.234Z] > Timeout waiting to lock zinc-1.3.5_2.13.6_8 compiler cache (/home/jenkins/.gradle/caches/7.0.2/zinc-1.3.5_2.13.6_8). It is currently in use by another Gradle instance.
# [2021-10-19T17:25:07.234Z] Owner PID: 3999
# [2021-10-19T17:25:07.234Z] Our PID: 3973
# [2021-10-19T17:25:07.234Z] Owner Operation:
# [2021-10-19T17:25:07.234Z] Our operation:
# [2021-10-19T17:25:07.234Z] Lock file: /home/jenkins/.gradle/caches/7.0.2/zinc-1.3.5_2.13.6_8/zinc-1.3.5_2.13.6_8.lock
set -uf -o pipefail
mkdir -p logs
retryable=1
while [[ "$retryable" != 0 ]]; do
retryable=0
"$@" 2>&1 | tee logs/buildoutput.log
commandReturnCode=$?
if [ $commandReturnCode -ne 0 ]; then
if grep "Timeout waiting to lock zinc" logs/buildoutput.log; then
retryable=1
echo 'Retrying due to zinc lock timeout'
continue
else
exit $commandReturnCode
fi
fi
done
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。